minstall: Don't copy over an identical file

The rationale here is to avoid updating a timestamp for a file that
hasn't changed. Needless updates of the timestamp can ripple into
other projects, (xserver, etc.), useless recompiling due to a
'make install' in mesa that didn't actually change anything.
diff --git a/bin/minstall b/bin/minstall
index 8ee9608..1300258 100755
--- a/bin/minstall
+++ b/bin/minstall
@@ -66,8 +66,11 @@
 
 		elif [ -f "$FILE" ] ; then
 			#echo "$FILE" is a regular file
-			$RM "$DEST/`basename $FILE`"
-			cp "$FILE" "$DEST"
+			# Only copy if the files differ
+			if ! cmp -s $FILE $DEST/`basename $FILE`; then
+				$RM "$DEST/`basename $FILE`"
+				cp "$FILE" "$DEST"
+			fi
 			if [ $MODE ] ; then
 				FILE=`basename "$FILE"`
 				chmod $MODE "$DEST/$FILE"